// priority: 0


ServerEvents.tags('block', event => {

    //   event.get('minecraft:needs_stone_tool').add(['minecraft:stone'])
   })
   
ServerEvents.tags('item', event => {
       
//   event.get('strainers:tier_4_meshes').remove('strainers:gold_mesh')
//   event.get('strainers:tier_1_meshes').add('strainers:gold_mesh')

   event.get('desertopolis:vanilla_planks').add(['minecraft:warped_planks', 'minecraft:crimson_planks', 'minecraft:bamboo_planks', 'minecraft:cherry_planks', 'minecraft:mangrove_planks', 'minecraft:dark_oak_planks', 'minecraft:acacia_planks', 'minecraft:jungle_planks', 'minecraft:birch_planks', 'minecraft:spruce_planks', 'minecraft:oak_planks'])
   event.get('desertopolis:pipes').add(['pipez:gas_pipe', 'pipez:universal_pipe', 'pipez:energy_pipe', 'pipez:fluid_pipe', 'pipez:item_pipe'])
   event.get('pipe_connector:placeable_items').add(['storagedrawers:warped_trim', 'storagedrawers:crimson_trim', 'storagedrawers:dark_oak_trim', 'storagedrawers:acacia_trim', 'storagedrawers:jungle_trim', 'storagedrawers:birch_trim', 'storagedrawers:oak_trim', 'storagedrawers:spruce_trim', 'ae2:fluix_glass_cable'])
   event.get('forge:nuggets').add('bettercopper:copper_nugget')
   event.get('forge:nuggets/copper').add('bettercopper:copper_nugget')

   event.get('forge:tools/pickaxes').add('desertopolis:sandstone_pickaxe')
   event.get('forge:minecraft/pickaxes').add('desertopolis:sandstone_pickaxe')
   event.get('forge:minecraft/tools').add('desertopolis:sandstone_pickaxe')

   event.get('forge:tools/axes').add('desertopolis:sandstone_axe')
   event.get('forge:minecraft/axes').add('desertopolis:sandstone_axe')
   event.get('forge:minecraft/tools').add('desertopolis:sandstone_axe')
   
   event.get('forge:tools/shovels').add('desertopolis:sandstone_shovel')
   event.get('forge:minecraft/shovels').add('desertopolis:sandstone_shovel')
   event.get('forge:minecraft/tools').add('desertopolis:sandstone_shovel')

   event.get('forge:tools/hoes').add('desertopolis:sandstone_hoe')
   event.get('forge:minecraft/hoes').add('desertopolis:sandstone_hoe')
   event.get('forge:minecraft/tools').add('desertopolis:sandstone_hoe')
   
   event.get('forge:tools/swords').add('desertopolis:sandstone_sword')
   event.get('forge:minecraft/swords').add('desertopolis:sandstone_sword')
   event.get('forge:minecraft/tools').add('desertopolis:sandstone_sword')

   event.get('minecraft:needs_stone_tool').add('minecraft:stone')

   event.get('desertopolis:terracotta_drops').add('minecraft:coal')
   event.get('desertopolis:terracotta_rare_drops').add(['minecraft:clay_ball', 'minecraft:raw_copper'])

   event.get('desertopolis:deepslate_drops').add('minecraft:lapis_lazuli')
   event.get('desertopolis:deepslate_rare_drops').add('minecraft:raw_iron')

   event.get('desertopolis:hay_drops').add('minecraft:wheat')
   event.get('desertopolis:hay_rare_drops').add('farmersdelight:wheat_dough')

   event.get('desertopolis:rare_extreme_recator_part').add(['bigreactors:anglesite_crystal', 'bigreactors:benitoite_crystal'])

   event.get('desertopolis:maps').add(['desertopolis:badlands_map', 'desertopolis:pillager_map', 'desertopolis:village_map', 'desertopolis:mineshaft_map', 'desertopolis:great_pyramid_map', 'desertopolis:red_sandstone_temple_map'])
   
   //Heating Armor

   event.get('toughasnails:heating_armor').add(['avaritia:infinity_helmet', 'avaritia:infinity_chestplate', 'avaritia:infinity_pants', 'avaritia:infinity_boots', 'minecraft:golden_boots', 'minecraft:golden_leggings', 'minecraft:golden_chestplate', 'minecraft:golden_helmet', 'minecraft:iron_boots', 'minecraft:iron_leggings', 'minecraft:iron_chestplate', 'minecraft:iron_helmet', 'bettercopper:copper_helmet', 'bettercopper:copper_chestplate', 'bettercopper:copper_leggings', 'bettercopper:copper_boots'])

   //Cooling Armor '#toughasnails:cooling_armor'

   event.get('toughasnails:cooling_armor').add(['avaritia:infinity_helmet', 'avaritia:infinity_chestplate', 'avaritia:infinity_pants', 'avaritia:infinity_boots', 'minecraft:diamond_helmet', 'minecraft:diamond_chestplate', 'minecraft:diamond_leggings', 'minecraft:diamond_boots', 'minecraft:netherite_helmet', 'minecraft:netherite_chestplate', 'minecraft:netherite_leggings', 'minecraft:netherite_boots', 'minecraft:turtle_helmet', 'pneumaticcraft:pneumatic_helmet', 'pneumaticcraft:pneumatic_chestplate', 'pneumaticcraft:pneumatic_leggings', 'pneumaticcraft:pneumatic_boots', 'lapis_lazuli:lapislazuli_armor_helmet', 'lapis_lazuli:lapislazuli_armor_chestplate', 'lapis_lazuli:lapislazuli_armor_leggings', 'lapis_lazuli:lapislazuli_armor_boots'])
  
   //Heating Items

   event.get('toughasnails:heating_items').add(['minecraft:blaze_rod', 'minecraft:blaze_powder', 'desertopolis:scorching_iron_block', 'minecraft:fire_charge', 'minecraft:campfire', 'enderio:fire_water_bucket', 'minecraft:magma_block'])
 
   //Cooling Items

   event.get('toughasnails:cooling_items').add(['minecraft:ice', 'minecraft:packed_ice', 'minecraft:blue_ice', 'minecraft:powder_snow_bucket', 'minecraft:snow_block', 'minecraft:snowball'])
   event.get('toughasnails:cooling_items').remove(['minecraft:water_bucket'])
  
   //Heating Items

   event.get('toughasnails:heating_blocks').add(['desertopolis:scorching_iron_block', 'minecraft:campfire', 'minecraft:magma_block'])
 
   //Cooling Items

   event.get('toughasnails:cooling_blocks').add(['minecraft:snow_block'])

})

ServerEvents.tags('block', event => {

   event.get('minecraft:needs_stone_tool').add('minecraft:stone')
   event.get('minecraft:needs_stone_tool').add('#forge:ores/coal')
   event.get('minecraft:needs_stone_tool').add('#minecraft:terracotta')
   event.get('minecraft:needs_iron_tool').add('minecraft:deepslate')
   

})